package cn.com.poc.user.wecom.domain.properties;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class WecomProperties {

    @Value("${wecom.corpid:}")
    private String corpId;

    @Value("${wecom.redirect_url:}")
    private String redirectUrl;

    @Value("${wecom.provider_secret:}")
    private String providerSecret;

    @Value("${wecom.suite_id:}")
    private String suiteId;

    @Value("${wecom.suite_secret:}")
    private String suiteSecret;

    @Value("${wecom.token:}")
    private String token;

    @Value("${wecom.encoding_aes_key:}")
    private String encodingAesKey;

    public String getCorpId() {
        return corpId;
    }

    public String getRedirectUrl() {
        return redirectUrl;
    }

    public String getProviderSecret() {
        return providerSecret;
    }

    public String getSuiteId() {
        return suiteId;
    }

    public String getSuiteSecret() {
        return suiteSecret;
    }

    public String getToken() {
        return token;
    }

    public String getEncodingAesKey() {
        return encodingAesKey;
    }
}
